aboutsummaryrefslogtreecommitdiffstats
path: root/testing/fuse-exfat/APKBUILD
diff options
context:
space:
mode:
authorMichael Koloberdin <koloberdin@gmail.com>2015-11-30 15:20:02 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-11-30 15:36:05 +0000
commit3534788dc38c7307c82001e9ad8cb988483c1896 (patch)
treefd5ed9e4a31b099ead474ed0bb2297c3cfc5151a /testing/fuse-exfat/APKBUILD
parent41f320e99708878cf6909e062c181ca7d8d99202 (diff)
downloadaports-3534788dc38c7307c82001e9ad8cb988483c1896.tar.gz
aports-3534788dc38c7307c82001e9ad8cb988483c1896.tar.bz2
aports-3534788dc38c7307c82001e9ad8cb988483c1896.tar.xz
fuse-exfat: upgrade to 1.2.2
Diffstat (limited to 'testing/fuse-exfat/APKBUILD')
-rw-r--r--testing/fuse-exfat/APKBUILD34
1 files changed, 18 insertions, 16 deletions
diff --git a/testing/fuse-exfat/APKBUILD b/testing/fuse-exfat/APKBUILD
index 02eb518289..b2a37a4eef 100644
--- a/testing/fuse-exfat/APKBUILD
+++ b/testing/fuse-exfat/APKBUILD
@@ -1,18 +1,17 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=fuse-exfat
-pkgver=1.1.0
+pkgver=1.2.2
pkgrel=0
pkgdesc="Free exFAT file system implementation"
-url="http://code.google.com/p/exfat/"
+url="https://github.com/relan/exfat"
arch="all"
license="GPL2+"
-depends=""
+depends="fuse"
depends_dev=""
-makedepends="$depends_dev fuse-dev scons"
+makedepends="$depends_dev fuse-dev"
install=""
subpackages=""
-source="http://pkgbuild.com/~giovanni/exfat/${pkgname}-${pkgver}.tar.gz
- musl-not-found.patch"
+source="https://github.com/relan/exfat/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.gz"
_builddir="$srcdir"/fuse-exfat-$pkgver
prepare() {
@@ -27,19 +26,22 @@ prepare() {
build() {
cd "$_builddir"
- scons -j${JOBS:-2} || return 1
-
+
+ ./configure --prefix=/usr --sbindir=/usr/bin || return 1
+ make CCFLAGS="${CFLAGS} -std=c99" LINKFLAGS="${LDFLAGS}"
}
package() {
cd "$_builddir"
- install -d "$pkgdir"/sbin
- scons DESTDIR="$pkgdir"/sbin install || return 1
+
+ make DESTDIR="${pkgdir}" install || return 1
+
+ # Install man page
+ install -Dm444 fuse/mount.exfat-fuse.8 \
+ "${pkgdir}/usr/share/man/man8/mount.exfat-fuse.8" \
+ || return 1
}
-md5sums="b2a23c032661cb1c1da4514e7af33916 fuse-exfat-1.1.0.tar.gz
-627d23007699396bb85e0da9efbcc8bd musl-not-found.patch"
-sha256sums="198c520e417e955dc5c08687c278e63eefa56719da4452aa4a605be0327f953e fuse-exfat-1.1.0.tar.gz
-e456763cc9d05b87efd331ca8480f28c6aac38d1a89fab37bb9a0313b89254ae musl-not-found.patch"
-sha512sums="60280687c9adea3955fd85f003482e9d40163924837e5dcac4205c2bd02318c8ea280103a509213e83a04d390507f15dfe3cd3ecc03e9b90abcf4cef7e830398 fuse-exfat-1.1.0.tar.gz
-55a662908230516e30085da361ed6f4d2f2f8eac60e99b8399fa5bb343eeeae28d84ec363b8be603f08063d6a4b7e4e3503ebf37cfa958e8d6dcba84eedbe7b6 musl-not-found.patch"
+md5sums="f6f365024ab654ecc9a356502d700c9d fuse-exfat-1.2.2.tar.gz"
+sha256sums="c93b4d10bd548db205b7c491c43cabf510e4817716460322f5f645739c54cdca fuse-exfat-1.2.2.tar.gz"
+sha512sums="26f73017a36b072d2c7905358cb2236cdfbd55ddb94c554a0bfd8520ffc6c0366f3c40497d18eefb2a27a55c3531f7d6fabec1882802ad6961603ada89229c4a fuse-exfat-1.2.2.tar.gz"